Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class DIGQueryRoleParentsTranslator

    java.lang.Object
      com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
          com.hp.hpl.jena.reasoner.dig.DIGQueryRoleAncestorsTranslator
              com.hp.hpl.jena.reasoner.dig.DIGQueryRoleParentsTranslator

    public class DIGQueryRoleParentsTranslator

extends DIGQueryRoleAncestorsTranslator

Translator that generates DIG parents/childre queries in response to a find queries:

     :X direct-subClassOf *
     *  direct-subClassOf :X

or similar.

Version:
  Release @release@ ($Id: DIGQueryRoleParentsTranslator.java,v 1.8 2008/01/02 12:07:09 andy_seaborne Exp $)
Author:
  Ian Dickinson, HP Labs (email)

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
`ALL`

Constructor Summary
`DIGQueryRoleParentsTranslator(java.lang.String predicate, boolean parents)` Construct a translator for the DIG query 'rparents'.

Method Summary
`org.w3c.dom.Document` | `translatePattern(TriplePattern pattern, DIGAdapter da)` Answer a query that will generate the direct class hierarchy (one level up or down) for a node

Methods inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryRoleAncestorsTranslator
`checkObject, checkSubject, translatePattern, translateResponseHook`

Methods inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
`checkPredicate, checkTriple, find, find, translateResponse, trigger`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGQueryRoleParentsTranslator

    public DIGQueryRoleParentsTranslator(java.lang.String predicate,
                                         boolean parents)

  Construct a translator for the DIG query 'rparents'.

  Parameters:
    `predicate` - The predicate URI to trigger on
    `parents` - If true, we are searching for parents of the role; if false, the children

Method Detail

### translatePattern

    public org.w3c.dom.Document translatePattern(TriplePattern pattern,
                                                 DIGAdapter da)

  Answer a query that will generate the direct class hierarchy (one level up or down) for a node

  Overrides:
    `translatePattern` in class `DIGQueryRoleAncestorsTranslator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP